<script setup lang="ts">
import PanelViewContents from '@/components/Panels/PanelViewContents.vue';
import SdgUserImage from '../SdgUserImage.vue';
import DefaultAnswerSlotContent from '../DefaultAnswerSlotContent.vue';
import { useDepartmentPeopleStore } from '@/stores/departmentPeopleStore';

const departmentPeopleStore = useDepartmentPeopleStore();
const { department, people } = departmentPeopleStore.departmentPeople();

function onNextClick() {
  departmentPeopleStore.next();
}
</script>

<template>
  <div>
    <PanelViewContents>
      <template #title> {{ department }} Department </template>

      <template #data>
        <table class="w-1/2 text-sm text-center text-gray-500 rtl:text-right dark:text-gray-400">
          <tbody>
            <tr v-for="person in people" :key="person.mail" class="bg-white border-b-4 dark:bg-gray-800 dark:border-gray-700">
              <td class="py-4">
                <div class="px-4">
                  <SdgUserImage :person="person" :width="150" />
                </div>
              </td>
              <td class="text-left">
                <div class="mb-4 text-xl font-bold">{{ person.displayName }}</div>
                <div>{{ person.jobTitle }}</div>
                <div v-html="person.aboutMe" />
                <div class="mt-2 txt-xl">{{ person.interests.join(', ') }}</div>
              </td>
            </tr>
          </tbody>
        </table>
      </template>

      <template #answer>
        <DefaultAnswerSlotContent @onNextClick="onNextClick" />
      </template>
    </PanelViewContents>
  </div>
</template>
